0

Stepper motor software install for debian8 on Pi 2B+
Moderators: adafruit_support_bill, adafruit

Please be positive and constructive with your questions and comments.

Stepper motor software install for debian8 on Pi 2B+

by wayvicle on Sat Dec 08, 2018 5:46 pm

Hi.

I have a Pi2B+ and also a Pi3+ that I may use instead.

The Pi2B+ is running Debian8 and I am trying to load the stepper motor software. I also tried to load Blinka as well as the I2C port software. The I2C seemed to go well but I got the following outpout to screen when I ran the blinka and stepper hat software

Stepper Software:
Code: Select all | TOGGLE FULL SIZE
pi@pi01:~$ sudo pip install adafruit-circuitpython-motorkit
Downloading/unpacking adafruit-circuitpython-motorkit
  Downloading adafruit-circuitpython-motorkit-1.2.0.tar.gz (4.0MB): 4.0MB downloaded
  Running setup.py (path:/tmp/pip-build-O6FA6f/adafruit-circuitpython-motorkit/setup.py) egg_info for package adafruit-circuitpython-motorkit
    /usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'long_description_content_type'
      warnings.warn(msg)
    Traceback (most recent call last):
      File "<string>", line 17, in <module>
      File "/tmp/pip-build-O6FA6f/adafruit-circuitpython-motorkit/setup.py", line 63, in <module>
        py_modules=['adafruit_motorkit'],
      File "/usr/lib/python2.7/distutils/core.py", line 111, in setup
        _setup_distribution = dist = klass(attrs)
      File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 266, in __init__
        _Distribution.__init__(self,attrs)
      File "/usr/lib/python2.7/distutils/dist.py", line 287, in __init__
        self.finalize_options()
      File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 301, in finalize_options
        ep.load()(self, ep.name, value)
      File "build/bdist.linux-x86_64/egg/setuptools_scm/integration.py", line 10, in version_keyword
      File "build/bdist.linux-x86_64/egg/setuptools_scm/version.py", line 66, in _warn_if_setuptools_outdated
    setuptools_scm.version.SetuptoolsOutdatedWarning: your setuptools is too old (<12)
    Complete output from command python setup.py egg_info:
    /usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'long_description_content_type'

  warnings.warn(msg)

Traceback (most recent call last):

  File "<string>", line 17, in <module>

  File "/tmp/pip-build-O6FA6f/adafruit-circuitpython-motorkit/setup.py", line 63, in <module>

    py_modules=['adafruit_motorkit'],

  File "/usr/lib/python2.7/distutils/core.py", line 111, in setup

    _setup_distribution = dist = klass(attrs)

  File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 266, in __init__

    _Distribution.__init__(self,attrs)

  File "/usr/lib/python2.7/distutils/dist.py", line 287, in __init__

    self.finalize_options()

  File "/usr/lib/python2.7/dist-packages/setuptools/dist.py", line 301, in finalize_options

    ep.load()(self, ep.name, value)

  File "build/bdist.linux-x86_64/egg/setuptools_scm/integration.py", line 10, in version_keyword

  File "build/bdist.linux-x86_64/egg/setuptools_scm/version.py", line 66, in _warn_if_setuptools_outdated

setuptools_scm.version.SetuptoolsOutdatedWarning: your setuptools is too old (<12)

----------------------------------------
Cleaning up...
Command python setup.py egg_info failed with error code 1 in /tmp/pip-build-O6FA6f/adafruit-circuitpython-motorkit
Storing debug log for failure in /root/.pip/pip.log
pi@pi01:~$



When I ran the Blinka Software install I got:
pi@pi01:~$ pip install adafruit-blinka
Downloading/unpacking adafruit-blinka
Downloading Adafruit-Blinka-0.4.0.tar.gz (67kB): 67kB downloaded
Running setup.py (path:/tmp/pip-build-7bSemY/adafruit-blinka/setup.py) egg_info for package adafruit-blinka
/usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
warnings.warn(msg)
/usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'long_description_content_type'
warnings.warn(msg)
error in Adafruit-Blinka setup command: 'install_requires' must be a string or list of strings containing valid project/version requirement specifiers
Complete output from command python setup.py egg_info:
/usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'

warnings.warn(msg)

/usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'long_description_content_type'

warnings.warn(msg)

error in Adafruit-Blinka setup command: 'install_requires' must be a string or list of strings containing valid project/version requirement specifiers

----------------------------------------
Cleaning up...
Command python setup.py egg_info failed with error code 1 in /tmp/pip-build-7bSemY/adafruit-blinka
Storing debug log for failure in /home/pi/.pip/pip.log
pi@pi01:~$

So should I be trying something else?????

wayvicle
 
Posts: 12
Joined: Tue Aug 18, 2015 6:58 pm

Re: Stepper motor software install for debian8 on Pi 2B+

by adafruit2 on Fri Dec 14, 2018 12:35 am

use python3, python2 is no longer supported

adafruit2
Site Admin
 
Posts: 18416
Joined: Fri Mar 11, 2005 7:36 pm

Re: Stepper motor software install for debian8 on Pi 2B+

by wayvicle on Fri Dec 14, 2018 6:17 am

Thank you very much. I'll try that.

wayvicle
 
Posts: 12
Joined: Tue Aug 18, 2015 6:58 pm

Please be positive and constructive with your questions and comments.